Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.uml.statemachine
Class Transition

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.Transition

public class Transition
extends org.opencyc.uml.core.ModelElement

Transition from the UML State_Machines package. The passing from one state to another is performed when a transition is triggered by an event that occurs.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected org.opencyc.uml.core.Procedure` | `effect` the effect of this transition
`protected Guard` | `guard` the guard for this transition
`protected StateVertex` | `source` the source state of this transition
`protected StateMachine` | `stateMachine` the state machine containing this transition
`protected StateVertex` | `target` the target state of this transition
`protected Event` | `trigger` the event which triggered this transition

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`Transition()` Constructs a new Transition object.

Method Summary
`org.opencyc.uml.core.Procedure` | `getEffect()` Gets the effect of this transition
`Guard` | `getGuard()` Gets the guard for this transition
`StateVertex` | `getSource()` Gets the source state of this transition
`StateMachine` | `getStateMachine()` Gets the state machine containing this transition
`StateVertex` | `getTarget()` Gets the target state of this transition
`Event` | `getTrigger()` Gets the event which triggered this transition
`boolean` | `isSelfTransition()` Gets whether this is a self transition, meaning that the source and target states are the same state.
`void` | `setEffect(org.opencyc.uml.core.Procedure effect)` Sets the effect of this transition
`void` | `setGuard(Guard guard)` Sets the guard for this transition
`void` | `setSource(StateVertex source)` Sets source state of this transition
`void` | `setStateMachine(StateMachine stateMachine)` Sets the state machine containing this transition
`void` | `setTarget(StateVertex target)` Sets the target state of this transition
`void` | `setTrigger(Event trigger)` Sets the event which triggered this transition

Methods inherited from class org.opencyc.uml.core.ModelElement
`equals, getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### guard

    protected Guard guard

  the guard for this transition

### effect

    protected org.opencyc.uml.core.Procedure effect

  the effect of this transition

### trigger

    protected Event trigger

  the event which triggered this transition

### source

    protected StateVertex source

  the source state of this transition

### target

    protected StateVertex target

  the target state of this transition

### stateMachine

    protected StateMachine stateMachine

  the state machine containing this transition

Constructor Detail

### Transition

    public Transition()

  Constructs a new Transition object.

Method Detail

### getGuard

    public Guard getGuard()

  Gets the guard for this transition
  Returns:
    the guard for this transition

### setGuard

    public void setGuard(Guard guard)

  Sets the guard for this transition
  Parameters:
    `guard` - the guard for this transition

### getEffect

    public org.opencyc.uml.core.Procedure getEffect()

  Gets the effect of this transition
  Returns:
    the effect of this transition

### setEffect

    public void setEffect(org.opencyc.uml.core.Procedure effect)

  Sets the effect of this transition
  Parameters:
    `effect` - the effect of this transition

### getTrigger

    public Event getTrigger()

  Gets the event which triggered this transition
  Returns:
    the event which triggered this transition

### setTrigger

    public void setTrigger(Event trigger)

  Sets the event which triggered this transition
  Parameters:
    `trigger` - the event which triggered this transition

### getSource

    public StateVertex getSource()

  Gets the source state of this transition
  Returns:
    the source state of this transition

### setSource

    public void setSource(StateVertex source)

  Sets source state of this transition
  Parameters:
    `sthe` - ource source state of this transition

### getTarget

    public StateVertex getTarget()

  Gets the target state of this transition
  Returns:
    the target state of this transition

### setTarget

    public void setTarget(StateVertex target)

  Sets the target state of this transition
  Parameters:
    `target` - the target state of this transition

### getStateMachine

    public StateMachine getStateMachine()

  Gets the state machine containing this transition
  Returns:
    the state machine containing this transition

### setStateMachine

    public void setStateMachine(StateMachine stateMachine)

  Sets the state machine containing this transition
  Parameters:
    `xxxx` - the state machine containing this transition

### isSelfTransition

    public boolean isSelfTransition()

  Gets whether this is a self transition, meaning that the source and target states are the same state.
  Returns:
    whether this is a self transition, meaning that the source and target states are the same state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD